import { d1 as s, V as m, ci as u, U as c, ad as i, c5 as r, H as t, I as d, ae as y, af as f, a4 as a, co as p, ah as v, aj as n, c1 as x } from "./56c67d3b.js";
import "react";
import { SliderChildren as S, SliderWrapper as w, SliderStyled as C, SliderPropertyView as V } from "./5608d4fb.js";
import "react-dom";
const b = function() {
  const o = {
    ...S,
    value: s("value", 60),
    vertical: m,
    ...u
  };
  return new c(o, (e) => e.label({
    style: e.style,
    labelStyle: e.labelStyle,
    inputFieldStyle: e.inputFieldStyle,
    animationStyle: e.animationStyle,
    children: /* @__PURE__ */ i(w, {
      $vertical: !!e.vertical,
      onMouseDown: (l) => (l.stopPropagation(), !1),
      children: [r(e.prefixIcon) && e.prefixIcon, /* @__PURE__ */ t(C, {
        ...e,
        value: e.value.value,
        $style: e.inputFieldStyle,
        style: {
          margin: 0
        },
        $vertical: !!e.vertical || !1,
        onChange: (l) => {
          e.value.onChange(l), e.onEvent("change");
        }
      }), r(e.suffixIcon) && e.suffixIcon]
    })
  })).setPropertyViewFn((e) => /* @__PURE__ */ i(d, {
    children: [/* @__PURE__ */ i(y, {
      name: f.basic,
      children: [e.value.propertyView({
        label: a("prop.defaultValue")
      }), e.max.propertyView({
        label: a("prop.maximum")
      }), e.min.propertyView({
        label: a("prop.minimum")
      }), e.step.propertyView({
        label: a("slider.step"),
        tooltip: a("slider.stepTooltip")
      }), e.vertical.propertyView({
        label: a("slider.vertical")
      })]
    }), /* @__PURE__ */ t(p, {
      ...e
    }), /* @__PURE__ */ t(V, {
      ...e
    })]
  })).build();
}(), F = v(b, [new n("value", a("export.sliderValueDesc")), new n("max", a("export.sliderMaxValueDesc")), new n("min", a("export.sliderMinValueDesc")), ...x]);
export {
  F as SliderComp
};
